import _isPrototype_default from "./_isPrototype.js";
import isArguments_default from "./isArguments.js";
import isArray_default from "./isArray.js";
import isArrayLike_default from "./isArrayLike.js";
import isBuffer_default from "./isBuffer.js";
import isTypedArray_default from "./isTypedArray.js";
import _baseKeys_default from "./_baseKeys.js";
import _getTag_default from "./_getTag.js";
var mapTag = "[object Map]", setTag = "[object Set]", hasOwnProperty = Object.prototype.hasOwnProperty;
function isEmpty(d) {
	if (d == null) return !0;
	if (isArrayLike_default(d) && (isArray_default(d) || typeof d == "string" || typeof d.splice == "function" || isBuffer_default(d) || isTypedArray_default(d) || isArguments_default(d))) return !d.length;
	var f = _getTag_default(d);
	if (f == mapTag || f == setTag) return !d.size;
	if (_isPrototype_default(d)) return !_baseKeys_default(d).length;
	for (var p in d) if (hasOwnProperty.call(d, p)) return !1;
	return !0;
}
var isEmpty_default = isEmpty;
export { isEmpty_default as default };
